libzypp 17.37.10

zyppng::RepoManager< ZyppContextRefType >::MatchServiceAlias Struct Reference

Functor thats filter RepoInfo by service which it belongs to. More...

`#include <zypp/ng/repomanager.h>`

## Public Member Functions
| MatchServiceAlias (std::string alias_)
bool | operator() (const RepoInfo &info) const

## Private Attributes
std::string | alias

## Detailed Description

template<typename ZyppContextRefType>
struct zyppng::RepoManager< ZyppContextRefType >::MatchServiceAlias

Functor thats filter RepoInfo by service which it belongs to.

Definition at line 282 of file repomanager.h.

## Constructor & Destructor Documentation

## ◆ MatchServiceAlias()

template<typename ZyppContextRefType>

zyppng::RepoManager< ZyppContextRefType >::MatchServiceAlias::MatchServiceAlias | ( | std::string | alias_ | ) |
| inline

Definition at line 285 of file repomanager.h.

## Member Function Documentation

## ◆ operator()()

template<typename ZyppContextRefType>

bool zyppng::RepoManager< ZyppContextRefType >::MatchServiceAlias::operator() | ( | const RepoInfo & | info | ) | const
| inline

Definition at line 286 of file repomanager.h.

## Member Data Documentation

## ◆ alias

template<typename ZyppContextRefType>

std::string zyppng::RepoManager< ZyppContextRefType >::MatchServiceAlias::alias
| private

Definition at line 289 of file repomanager.h.

The documentation for this struct was generated from the following file:

- zypp/ng/repomanager.h